From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/mediafile/
Date: Thu, 12 Sep 2019 10:05:13 +0000 (UTC) [thread overview]
Message-ID: <1568282652.b9597e825853da6086a9127f477a6247e28e7b5c.soap@gentoo> (raw)
commit: b9597e825853da6086a9127f477a6247e28e7b5c
Author: Bernardo Meurer <bernardo <AT> standard <DOT> ai>
AuthorDate: Thu Sep 12 10:04:12 2019 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Sep 12 10:04:12 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9597e82
dev-python/mediafile: new package (0.2.0)
Read and write audio files' tags in Python.
Closes: https://bugs.gentoo.org/693180
Closes: https://github.com/gentoo/gentoo/pull/12827
Package-Manager: Portage-2.3.73, Repoman-2.3.17
Signed-off-by: Bernardo Meurer <bernardo <AT> standard.ai>
Signed-off-by: David Seifert <soap <AT> gentoo.org>
dev-python/mediafile/Manifest | 1 +
dev-python/mediafile/mediafile-0.2.0.ebuild | 43 +++++++++++++++++++++++++++++
dev-python/mediafile/metadata.xml | 21 ++++++++++++++
3 files changed, 65 insertions(+)
diff --git a/dev-python/mediafile/Manifest b/dev-python/mediafile/Manifest
new file mode 100644
index 00000000000..0eb736f7a07
--- /dev/null
+++ b/dev-python/mediafile/Manifest
@@ -0,0 +1 @@
+DIST mediafile-0.2.0.tar.gz 509689 BLAKE2B f79da210a74d55c4709b6fbf08a0675f445001ec49d042fc4a1101def07068bebccb155e770c5cbe8d051d7f101a213e9fcefbcb9590a650de99cfde837a965c SHA512 0fa79f77e0ac9a021b569e78f0edbe8cc63308ad8c89526d8e15dee455a284cb90d29b51aa476287e306717315c3cff290634fc6e4ac0b1726163dd922ee3b0d
diff --git a/dev-python/mediafile/mediafile-0.2.0.ebuild b/dev-python/mediafile/mediafile-0.2.0.ebuild
new file mode 100644
index 00000000000..3d5e8e1fd59
--- /dev/null
+++ b/dev-python/mediafile/mediafile-0.2.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+inherit distutils-r1
+
+DESCRIPTION="Read and write audio files' tags in Python"
+HOMEPAGE="https://github.com/beetbox/mediafile"
+SRC_URI="https://github.com/beetbox/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx )
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+DEPEND="
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=media-libs/mutagen-1.33.0[${PYTHON_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+
+python_compile_all() {
+ if use doc; then
+ emake -C docs html
+ rm -r docs/_build/html/_sources || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ nosetests -v || die "Tests failed"
+ if use doc; then
+ sphinx-build -W -q -b html docs __doctest || die "Doc tests failed"
+ fi
+}
diff --git a/dev-python/mediafile/metadata.xml b/dev-python/mediafile/metadata.xml
new file mode 100644
index 00000000000..d8b2350d9c4
--- /dev/null
+++ b/dev-python/mediafile/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>bernardo@standard.ai</email>
+ <name>Bernardo Meurer</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Gentoo Proxy Maintainers Project</name>
+ </maintainer>
+ <longdescription lang="en">
+ MediaFile is a simple interface to the metadata tags for many audio
+ file formats. It wraps Mutagen, a high-quality library for low-level
+ tag manipulation, with a high-level, format-independent interface for
+ a common set of tags.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">beetbox/mediafile</remote-id>
+ </upstream>
+</pkgmetadata>
next reply other threads:[~2019-09-12 10:05 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-09-12 10:05 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-12-03 7:54 [gentoo-commits] repo/gentoo:master commit in: dev-python/mediafile/ Sam James
2020-12-03 11:10 Sam James
2021-08-19 21:30 Michał Górny
2021-08-19 21:30 Michał Górny
2021-09-02 6:25 Michał Górny
2021-09-29 7:17 Michał Górny
2021-11-27 21:18 Michał Górny
2022-01-27 9:21 Michał Górny
2022-05-16 13:20 Michał Górny
2022-06-22 13:22 Agostino Sarubbo
2022-10-22 6:22 Michał Górny
2022-10-26 3:26 Michał Górny
2022-11-25 19:11 Sam James
2022-11-25 20:36 Arthur Zamarin
2022-12-16 11:32 Michał Górny
2023-02-16 22:49 Sam James
2023-02-17 6:21 Michał Górny
2023-06-06 16:12 Michał Górny
2023-07-04 2:59 Michał Górny
2023-08-05 21:36 Sam James
2023-08-06 5:31 Michał Górny
2023-11-25 5:28 Sam James
2024-11-04 5:04 Michał Górny
2024-11-23 9:52 Sam James
2024-11-23 10:08 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1568282652.b9597e825853da6086a9127f477a6247e28e7b5c.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox